* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

li {
    list-style-type: none;
}

html {
    scroll-behavior: smooth;
}

body {
    background: var(--backgroud);
    color: var(--ecriture);
    font-family: 'Roboto Condensed', sans-serif;
}

/* Navbar */

header .navbar {
    position: fixed;
    background-color: var(--backgroundNavbar);
    backdrop-filter: blur(7px);
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    box-sizing: border-box;
    z-index: 100;
}

header .navbar p {
    font-size: 25px;
    font-weight: var(--fontWeight);
}

header .navbar .nav-links {
    display: flex;
    align-items: center;
}

header .navbar .nav-links #language-selector {
    padding: 10px 30px;
    background: none;
    border: none;
    border: 2px solid white;
    color: var(--ecriture);
    border-radius: var(--borderRadius);
}

header .navbar .nav-links #language-selector option {
    background-color: black;
}

header .navbar .nav-links li {
    font-size: 20px;
}

header .navbar .nav-links li a button {
    padding: 10px 20px;
    background: none;
    border: none;
    color: var(--ecriture);
    font-size: 20px;
    font-family: 'Roboto Condensed', sans-serif;
    cursor: pointer;
    transition: 0.3s;
}

header .navbar .nav-links li a .non-active {
    border-radius: var(--borderRadius);
}

header .navbar .nav-links li a .rotate:hover {
    rotate: 10deg;
    transition: 0.3s;
}

header .navbar .nav-links .resp a {
    text-decoration: none;
}

header .navbar .nav-links .resp a button {
    display: flex;
    align-items: center;
    font-family: 'Roboto Condensed', sans-serif;
}

header .navbar .nav-links li a .txt-systeme {
    display: none;
    padding: 10px;
    font-size: 20px;
}

header .navbar .nav-links li a .non-active:hover {
    background-color: #3f3f3f;
}

header .navbar .nav-links li a .active {
    border-bottom: 2px solid white;
}

/* bouton pour changer de langues */

header .navbar .nav-links .dropdown {
    position: relative;
    display: inline-block;
}

header .navbar .nav-links .dropbtn {
    background: none;
    color: white;
    padding: 10px 20px;
    font-size: 16px;
    border: 2px solid white;
    border-radius: var(--borderRadius);
    cursor: pointer;
}

header .navbar .nav-links .dropbtn:hover, .dropbtn:focus {
    background-color: #474747;
}

header .navbar .nav-links .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 20px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    border-radius: var(--borderRadius);
    z-index: 1;
}

header .navbar .nav-links .dropdown-content a {
    color: black;
    padding: 10px 23px;
    text-decoration: none;
    border-radius: var(--borderRadius);
    display: block;
}

header .navbar .nav-links .dropdown-content a:hover {
    background-color: #b6b6b6;
}

header .navbar .nav-links .dropdown:hover .dropdown-content {
    display: block;
}

.navbar .menu-hamburger {
    display: none;
    z-index: 1000;
}

/* haut du site internet */

main .scroller {
    position: fixed;
    top: 95px;
    left: 0;
    width: 100%;
    height: 5px;
    z-index: 10000;
    background: linear-gradient(to right, rgb(38, 70, 211) 100%, rgba(255, 148, 166, 0) 100%);
    background-repeat: no-repeat;
    background-size: 0;
    transform-origin: left;
    animation: scroll linear;
    animation-timeline: scroll();
    animation-range-start: cover 100px;
    animation-range-end: cover 100%;
}

@keyframes scroll {

    from {

        background-size: 0% 5px;

    }

    to {

        background-size: 100% 5px;

    }

}

main .container {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

main .container h1 {
    font-size: 3em;
    text-align: center;
}

main .container a button {
    background: var(--backgroundBtn);
    border: none;
    padding: 10px 30px;
    margin-top: 100px;
    color: var(--ecriture);
    font-weight: var(--fontWeight);
    font-size: 20px;
    border-radius: var(--borderRadius);
    font-family: 'Roboto Condensed', sans-serif;
    cursor: pointer;
    transition: 0.2s ease-in-out;
}

main .container a button:hover {
    background: var(--backgroundBTNHover);
    transition: 0.2s ease-in-out;
}

/* Millieu du site internet */

main .title_exploration {
    padding-top: 100px;
}

main .titre {
    background: var(--backgroudTitre);
    width: 100%;
    padding: 10px;
    font-size: 4em;
    font-weight: var(--fontWeight);
    text-align: center;
}

main .container-2 {
    width: 70%;
    margin: auto;
    padding-top: 150px;
    font-size: 20px;
}

main .container-2 p {
    margin: 20px 10px;
    text-align: justify;
}

main .container-2 .gras {
    font-weight: var(--fontWeight);
}

main .container-2 ul {
    margin: 30px 50px;
}

main .container-2 ul li {
    text-align: justify;
}

main .titres_spatiales {
    font-size: 30px;
    width: 70%;
    margin: auto;
    padding: 50px 0px;
}

main .titre_spatiale {
    margin: 10px;
}

main .container-3 {
    width: 70%;
    margin: auto;
    padding-top: 50px;
    font-size: 20px;
}

main .container-3 p {
    margin: 20px 10px;
    text-align: justify;
}

main .container-3 .gras {
    font-weight: var(--fontWeight);
}

main .container-3 ul {
    margin: 30px 50px;
}

main .container-3 ul li {
    text-align: justify;
}

main .titre_sondes {
    background: var(--backgroudTitre);
    width: 100%;
    padding: 10px;
    margin-top: 150px;
    font-size: 4em;
    font-weight: var(--fontWeight);
    text-align: center;
}

main .container-4 {
    width: 70%;
    margin: auto;
    padding-top: 150px;
    font-size: 20px;
}

main .container-4 p {
    margin: 20px 10px;
    text-align: justify;
}

main .container-4 .gras {
    font-weight: var(--fontWeight);
}

main .container-4 ul {
    margin: 30px 50px;
}

main .container-4 ul li {
    text-align: justify;
}

main .container-5 {
    width: 70%;
    margin: auto;
    padding-top: 30px;
    font-size: 20px;
}

main .container-5 .img {
    margin: 10px;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

main .container-5 .img .images {
    padding: 40px 40px 40px 0;
}

main .container-5 .img .images p {
    margin: 10px 0;
}

main .container-5 .img .images img {
    height: 400px;
    border-radius: var(--borderRadius);
}

main .container-5 .image {
    padding-top: 40px;
    margin: 10px;
}

main .container-5 .image p {
    margin: 10px 0;
}

main .container-5 .image img {
    height: 400px;
    border-radius: var(--borderRadius);
}

/* Bas du site Copyright - licence */

footer {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 40px 0;
}

footer p {
    margin: 10px;
}

footer a {
    margin: 10px;
    color: var(--ecriture);
    text-decoration: none;
    transition: 0.3s;
}

footer a:hover {
    color: #8f8f8f;
    transition: 0.3s;
}

/* Responsive du site internet */

@media screen and (max-width: 1055px) {

    main .container-2 p {
        font-size: 15px;
    }

    main .container-2 .gras {
        font-size: 15px;
    }

    main .container-2 ul {
        font-size: 15px;
    }

    main .container-3 p {
        font-size: 15px;
    }

    main .container-3 .gras {
        font-size: 15px;
    }

    main .container-3 ul {
        font-size: 15px;
    }

    main .container-4 p {
        font-size: 15px;
    }

    main .container-4 .gras {
        font-size: 15px;
    }

    main .container-4 ul {
        font-size: 15px;
    }

    main .container-5 .img .images p {
        font-size: 15px;
    }

    main .container-5 .img .images img {
        height: 200px;
    }

    main .container-5 .image p {
        font-size: 15px;
    }

    main .container-5 .image img {
        height: 200px;
    }

}

@media screen and (max-width: 775px) {

    main .container-2 {
        width: 100%;
    }

    main .container-3 {
        width: 100%;
    }

    main .container-4 {
        width: 100%;
    }

    main .container-5 {
        width: 100%;
    }

}

@media screen and (max-width: 1175px) {

    .navbar {
        height: 110px;
    }

    .navbar .menu-hamburger {
        position: absolute;
        left: 20px;
        display: block;
        cursor: pointer;
    }

    .navbar .logo-stellario {
        position: absolute;
        left: 80px;
        z-index: 10000;
    }

    .nav-links {
        top: 0;
        left: 0;
        position: absolute;
        background-color: var(--backgroundNavbarResponsive);
        backdrop-filter: blur(7px);
        padding-top: 150px;
        display: flex;
        flex-direction: column;
        width: 250px;
        height: 100vh;
        margin-left: -250px;
        transition: all 0.5s ease;
    }

    .nav-links.mobile-menu {
        margin-left: 0;
    }

    .navbar .nav-links ul li {
        margin: 100px;
        font-size: 1.2em;
    }

    header .navbar .nav-links li a button {
        background: none;
        width: 200px;
        text-align: left;
        margin: 10px;
        border-radius: var(--borderRadius);
    }

    header .navbar .nav-links li a .rotate:hover {
        rotate: 0deg;
        background-color: #3f3f3f;
    }

    header .navbar .nav-links li a .txt-systeme {
        display: block;
    }

    header .navbar .nav-links li a .non-active:hover {
        background-color: #3f3f3f;
    }
    
    header .navbar .nav-links li a .active {
        background-color: #3f3f3f;
        border-bottom: none;
    }

    header .navbar .nav-links .dropdown {
        position: relative;
        display: inline-block;
        padding-bottom: 20px;
    }

    header .navbar .nav-links .dropbtn {
        background: none;
        color: white;
        width: 200px;
        padding: 10px 20px;
        font-size: 16px;
        border: 2px solid white;
        border-radius: var(--borderRadius);
        cursor: pointer;
    }
    
    header .navbar .nav-links .dropdown-content {
        display: none;
        position: absolute;
        background-color: #f9f9f9;
        width: 200px;
        text-align: center;
        min-width: 20px;
        box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
        border-radius: var(--borderRadius);
        z-index: 1;
    }

    main .scroller {
        top: 110px;
    }

}

@media screen and (max-height: 665px) {

    .navbar .nav-links {
        overflow-x: hidden;
    }

}

@media screen and (max-width: 445px) {

    main .container-5 .img .images {
        padding: 40px 0;
    }

    main .container-5 .img .images img {
        width: 100%;
        height: auto;
    }

    main .container-5 .image img {
        width: 100%;
        height: auto;
    }

}

@media screen and (max-width: 420px) {

    main .titre {
        font-size: 3em;
    }

}